Subject: Re: Pulled files with "new file" status

From: Johannes Sixt <[email-masked]>
Date: Mon, 20 Jul 2009 09:40:03 +0200

Marcelo de Moraes Serpa schrieb:
> I git pulled again and get the updates
> from a friend, but the intriguing thing is that, the files that he
> added appeared as "new file" for me too. Why's that? I haven't been
> the one who added the file, he added it, why git would pull objects
> and tell me they are new ?

Perhaps because they *are* new for you?

  ------Y--M    <-- you
          /
   ------F      <-- your friend

If F added files, then you pull F, which creates the merge commit M, then
the files are also new for *you*.

I assume you were looking at the diff summary that 'git pull' reported.
This diff is the difference from Y to M, and in that diff, the files *are*
new because they are now in M, but not in Y.

-- Hannes